summaryrefslogtreecommitdiff
path: root/VA/run-fgbs24a.sh
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-02-28 15:24:34 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-02-28 15:24:34 +0100
commitf264f58636579436f58aa3b0c2cb392938000a59 (patch)
treed42e59dfa737a24ac2027b5717892e4c61c6ae13 /VA/run-fgbs24a.sh
parentbf8417ee073b8600a738fcc0203674d3cf1ca8fa (diff)
some fgbs24a scripts
Diffstat (limited to 'VA/run-fgbs24a.sh')
-rwxr-xr-xVA/run-fgbs24a.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/VA/run-fgbs24a.sh b/VA/run-fgbs24a.sh
new file mode 100755
index 0000000..f8941fb
--- /dev/null
+++ b/VA/run-fgbs24a.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+
+mkdir -p $(hostname)
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+(
+
+echo "prim-benchmarks VA (dfatool fgbs24a edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 2543 2304 2048; do
+ for nr_tasklets in 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 167772160 -x 1 || true
+ fi
+ done
+done
+echo "Completed at $(date)"
+) | tee "$(hostname)/fgbs24a.txt"